# Chg

`chg` is a very basic CLI for currency exchange, using [Alpha Vantage][alpha] API.

# Installation

```shell
gem install chg
```

# Usage

```shell
$ chg -h
Usage: chg <from> <to> [amount = 1]
$ chg BTC USD
Error: Missing ALPHAVANTAGE_KEY env. var
$ export ALPHAVANTAGE_KEY=123
$ chg BTC USD
1.0 BTC = 1234567890.01234 USD
```

That's about it.

# Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run
`rake test` to run the tests. You can also run `bin/console` for an interactive
prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To
release a new version, update the version number in `version.rb`, and then run
`bundle exec rake release`, which will create a git tag for the version, push
git commits and tags, and push the `.gem` file to [rubygems.org][rubygems].

# Contributing

Bug reports and pull requests are welcome at https://git.cypr.io/oz/chg.
`git format-patch` is also your friend.

## License

The gem is available as open source under the terms of the [GPL v3 License][license].

[alpha]: https://alphavantage.co/
[rubygems]: https://rubygems.org
[license]: https://www.gnu.org/licenses/gpl.html
