
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'chg/version'

Gem::Specification.new do |spec|
  spec.name          = 'chg'
  spec.version       = Chg::VERSION
  spec.authors       = ['Arnaud Berthomier']
  spec.email         = ['oz@cyprio.net']

  spec.summary       = 'Get exchange rates from Alpha Vantage'
  spec.description   = 'Change amounts between currencies using the Alpha Vantage API'
  spec.homepage      = 'https://rubygems.org/gems/chg'
  spec.license       = 'GPL-3.0'
  spec.cert_chain    = ['certs/oz.pem']
  spec.signing_key   = File.expand_path("~/.ssh/gem-private_key.pem") if $0 =~ /gem\z/

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir = 'bin'
  spec.executables   = ['chg']
  spec.require_paths = ['lib']

  spec.add_dependency 'alphavantagerb', '~> 1.3.1'
  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'minitest', '~> 5.0'
  spec.add_development_dependency 'rake', '~> 10.0'
end
